Categories

Manage the species and breed categories used to classify pets.

List categories

get
/categories

Returns all categories available for classifying pets (e.g. dog, cat, rabbit).

Authorizations
AuthorizationstringRequired

Pass your API key as a Bearer token in the Authorization header.

Responses
200

An array of categories.

application/json
namestringRequired

The category name (e.g. Dog, Cat, Rabbit).

Example: Dog
descriptionstringOptional

A short description of the category.

Example: Domestic dogs of all breeds.
idinteger · int64Required

Unique identifier assigned on creation.

Example: 1
get
/categories

Create a category

post
/categories

Adds a new category for classifying pets.

Authorizations
AuthorizationstringRequired

Pass your API key as a Bearer token in the Authorization header.

Body
namestringRequired

The category name (e.g. Dog, Cat, Rabbit).

Example: Dog
descriptionstringOptional

A short description of the category.

Example: Domestic dogs of all breeds.
Responses
post
/categories

Last updated